Module | Rubygame::Events::JoystickButtonEvent
In: | lib/rubygame/events/joystick_events.rb

JoystickButtonEvent is a mixin module included in the JoystickButtonPressed and JoystickButtonReleased classes. It defines the joystick_id and button attribute readers.

### Methods

new

### Attributes

button | [R] |
joystick_id | [R] |

### Public Class methods

new( joystick_id, button )

Initializes the JoystickButtonEvent.

joystick_id: | an integer identifying which joystick changed. The first joystick is 0.
button: | an integer identifying which button was pressed or released. The first button on each joystick is 0.

[Validate]